​
Select Service
ves-io-schema-route-API-List
Published April 5, 2023 | Last modified June 15, 2026
Examples of listing route
Usecase:
List route
Request using vesctl:
vesctl configuration list route --namespace documentation
vesctl yaml response:
errors: []items:- annotations: {} labels: {} name: route-1 namespace: documentation statusSet: [] tenant: acmecorp uid: 345fb0a3-bc3b-439d-8b37-04e54e74ef6fRequest using curl:
curl -X 'GET' -H 'X-Volterra-Useragent: v1/pgm=_var_folders_q2_3kp8z3zs0x5_m7pk1bgb0_ph0000gp_T_go-build1414723615_b001_apidocs.test/host=MTY6VVHQPH/svc=S:examplesvc/site=mytestce01' 'https://acmecorp.console.ves.volterra.io/api/config/namespaces/documentation/routes'curl response
HTTP/1.1 200 OKContent-Length: 437Content-Type: application/jsonDate: Mon, 13 Apr 2026 02:00:17 GMTVary: Accept-EncodingX-Volterra-Response-Fields-Deprecated: items.#.get_spec.routes.#.route_direct_response.response_body
{ "items": [ { "tenant": "acmecorp", "namespace": "documentation", "name": "route-1", "uid": "345fb0a3-bc3b-439d-8b37-04e54e74ef6f", "description": "", "disabled": false, "labels": { }, "annotations": { }, "owner_view": null, "metadata": null, "system_metadata": null, "get_spec": null, "status_set": [ ] } ], "errors": [ ]}